# SupOpToolboxes

**Toolboxes of functions for physicists in photonics**

*Developed by Institut d'Optique Graduate School / France*

This project is still **in development**. To contribute, look at the *Collaboration* section.

## Table of Contents
0. [About SupOptique](#about-supoptique)
1. [General Info](#general-info)
2. [Installation](#installation)
3. [How To Use](#how-to-use)
4. [Collaboration](#collaboration)
5. [FAQs](#faqs)

## About SupOptique
Founded in 1917, the Institut d'Optique Graduate School is a world leader in higher education, research and innovation in optics and photonics.

The Institut trains physics engineers, master's students and some of the most innovative PhDs in business and academia.
At the heart of networks of excellence, its international influence is based both on the quality of the training it provides and on its research and technology transfer.

The Institut is a major engineering school member of University Paris-Saclay and is established on the campuses of excellence of Paris-Saclay and Bordeaux, as well as Saint-Etienne.

The scientific contributions of its research center are major : the researchers publish on average one article per week and are quoted 30 times daily.

For more informations : [Institut d'Optique](https://www.institutoptique.fr/en)

## General Info

This repository contains :

- **Python Libraries** for physicists (*python_lib* directory)
- **Python Examples** for physicists (*python_examples* directory)
- **Embedded Librairies** for embedded systems development (Arduino, STM32 MBED, STM32 HAL...)
- **Engineers and Physicits Courses and Problems** (engineers training)

## Installation

You can **clone** this repository into your own work directory (using git) :

```
git clone https://github.com/jvillemejane/SupOpToolboxes.git
```

or

```
git clone git@github.com:jvillemejane/SupOpToolboxes.git
```

If you're not familiar to Git repository, you can also **download** the [archived file - zip](https://github.com/jvillemejane/SupOpToolboxes/archive/refs/heads/main.zip) of the repository.

## How To Use

### Python Libraries

To use **Python Libraries**, you can add the *python_lib* directory to the PYTHONPATH of your Python development interface. 

For example, in **Spyder**, you can select `TOOLS > PYTHONPATH` and add the path to *python_lib* directory.

### Python Examples


## Collaboration


## FAQs
